Bug 905895 - user create should inherit tenant ID and must have password
user create should inherit tenant ID and must have password
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-keystoneclient (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity medium
: beta
: 4.0
Assigned To: Jakub Ruzicka
Ami Jeain
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 07:09 EST by Ofer Blaut
Modified: 2016-04-26 10:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 04:59:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
password and tenants fields (570 bytes, text/plain)
2013-01-30 07:09 EST, Ofer Blaut
no flags Details

  None (edit)
Description Ofer Blaut 2013-01-30 07:09:30 EST
Created attachment 690340 [details]
password and tenants fields

Description of problem:

user can be created without password, and tenant ID

password must be required and tenant ID should be inherit from the same tenant he is created on by default .

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create new tenant 
2. create user admin for that tenant 
3. login as admin to the new tenant 
4. create user without password and tenant ID
5. check user is created 
  
Actual results:


Expected results:

- password must be required 
- tenant ID should be inherit  , still must be required if not inherit 


Additional info:
Comment 2 Alan Pevec 2013-06-03 04:59:33 EDT
I don't see this RFE accepted upstream.

> password must be required
Authentication could be external (LDAP, Kerberos via httpd or OAuth in the future)

> tenant ID should be inherit from the same tenant he is created on by default
Admin creating users is not necessarily the same tenant (or project now in Identity v3 API)

Note You need to log in before you can comment on or make changes to this bug.